Create an entity comment
curl --request POST \
--url https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"mentions": [
"<string>"
],
"counterparty_mentions": [
"<string>"
],
"attachments": [
"<string>"
]
}
'import requests
url = "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment"
payload = {
"body": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"mentions": ["<string>"],
"counterparty_mentions": ["<string>"],
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
reply_id: '<string>',
visibility: 'private',
counterparty_account_id: '<string>',
mentions: ['<string>'],
counterparty_mentions: ['<string>'],
attachments: ['<string>']
})
};
fetch('https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'reply_id' => '<string>',
'visibility' => 'private',
'counterparty_account_id' => '<string>',
'mentions' => [
'<string>'
],
'counterparty_mentions' => [
'<string>'
],
'attachments' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"body": "<string>",
"author": "<string>",
"author_name": "<string>",
"account_id": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"entity": {
"type": "<string>",
"id": "<string>"
},
"target": {
"type": "<string>",
"id": "<string>"
},
"mentions": [
"<string>"
],
"counterparty_mentions": [
"<string>"
],
"attachments": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reactions": {}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Entity Comments
Create an entity comment
POST
/
workspaces
/
entity
/
{entity_type}
/
{entity_id}
/
comment
Create an entity comment
curl --request POST \
--url https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"mentions": [
"<string>"
],
"counterparty_mentions": [
"<string>"
],
"attachments": [
"<string>"
]
}
'import requests
url = "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment"
payload = {
"body": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"mentions": ["<string>"],
"counterparty_mentions": ["<string>"],
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
reply_id: '<string>',
visibility: 'private',
counterparty_account_id: '<string>',
mentions: ['<string>'],
counterparty_mentions: ['<string>'],
attachments: ['<string>']
})
};
fetch('https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'reply_id' => '<string>',
'visibility' => 'private',
'counterparty_account_id' => '<string>',
'mentions' => [
'<string>'
],
'counterparty_mentions' => [
'<string>'
],
'attachments' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/entity/{entity_type}/{entity_id}/comment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"reply_id\": \"<string>\",\n \"visibility\": \"private\",\n \"counterparty_account_id\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ],\n \"counterparty_mentions\": [\n \"<string>\"\n ],\n \"attachments\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"body": "<string>",
"author": "<string>",
"author_name": "<string>",
"account_id": "<string>",
"reply_id": "<string>",
"visibility": "private",
"counterparty_account_id": "<string>",
"entity": {
"type": "<string>",
"id": "<string>"
},
"target": {
"type": "<string>",
"id": "<string>"
},
"mentions": [
"<string>"
],
"counterparty_mentions": [
"<string>"
],
"attachments": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reactions": {}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Path Parameters
Body
application/json
Response
The comment